org.gradle.api.artifacts

## Interface ConfigurationVariant

- All Superinterfaces:
    Named

      @Incubating
      public interface ConfigurationVariant
      extends Named

  Represents some variant of an outgoing configuration.
  Since:
    3.3

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `artifact(Object notation)` Adds an artifact to this variant.
    `void` | `artifact(Object notation, Action<? super ConfigurablePublishArtifact> configureAction)` Adds an artifact to this variant, configuring it using the given action.
    `ConfigurationVariant` | `attribute(String attributeName, String value)` Defines an attribute for this variant.
    `ConfigurationVariant` | `attributes(Map<String,String> attributes)` Defines some attributes for this variant.
    `PublishArtifactSet` | `getArtifacts()` Returns the artifacts associated with this variant.
    `AttributeContainer` | `getAttributes()` Returns the attributes that define this variant.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getAttributes

          AttributeContainer getAttributes()

      Returns the attributes that define this variant.

    - #### attributes

          ConfigurationVariant attributes(Map<String,String> attributes)

      Defines some attributes for this variant.

    - #### attribute

          ConfigurationVariant attribute(String attributeName,
                                       String value)

      Defines an attribute for this variant.

    - #### getArtifacts

          PublishArtifactSet getArtifacts()

      Returns the artifacts associated with this variant.

    - #### artifact

          void artifact(Object notation)

      Adds an artifact to this variant.

    - #### artifact

          void artifact(Object notation,
                      Action<? super ConfigurablePublishArtifact> configureAction)

      Adds an artifact to this variant, configuring it using the given action.